<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template, $page;
 
$piwecard = get_plugin_data($plugin_id);

$template->set_filenames(array(
	'plugin_admin_content' 	=> PIWECARD_ROOT.'/admin/template/admin_authorizations.tpl',
	'double_select' 		=> 'double_select.tpl'
));

// Switch on right side (=>)	
if (isset($_POST['falsify']) and isset($_POST['cat_true']) and count($_POST['cat_true']) > 0) {
	$piwecard->my_config['authorized_cats'] = 'selected';
	
	foreach ($_POST['cat_true'] as $cat)
		unset($piwecard->my_config['selected_cats'][array_search($cat, $piwecard->my_config['selected_cats'])]);
	$piwecard->set_config();
}

// Switch on left side (<=)
if (isset($_POST['trueify']) and isset($_POST['cat_false']) and count($_POST['cat_false']) > 0) {
	$query = 'SELECT id, name, uppercats, global_rank FROM '.CATEGORIES_TABLE.' WHERE id IN ("'.implode('","', $_POST['cat_false']).'");';
	$result = pwg_query($query);

	$piwecard->my_config['authorized_cats'] = 'selected';
	
	if (!empty($result)) {
		while ($cat = pwg_db_fetch_assoc($result))
			array_push($piwecard->my_config['selected_cats'], $cat['id']);			
	}
	usort($piwecard->my_config['selected_cats'], 'global_rank_compare');

	$piwecard->set_config();
}

if (isset($_POST['submit'])) { 
	$piwecard->my_config['authorized_cats'] = $_POST['ecard_authorized_cats'];
	$piwecard->set_config();
	array_push($page['infos'], l10n('Information data registered in database'));
}

//Populate double_select
$query = 'SELECT id, name, uppercats, global_rank FROM '.CATEGORIES_TABLE.' WHERE id not IN ("'.implode('","', $piwecard->my_config['selected_cats']).'");';
$result = pwg_query($query);
$categories = array();
if (!empty($result)) {
	while ($row = pwg_db_fetch_assoc($result))
		array_push($categories, $row);
}
usort($categories, 'global_rank_compare');

$tpl = array();
if (!empty($result)) {
	foreach ($categories as $cat) {
      	$tpl[$cat['id']] = get_cat_display_name_cache($cat['uppercats'], null, false);
	}
}
$template->assign('category_option_false', $tpl);
$template->assign('category_option_false_selected', array());

$query = 'SELECT id, name, uppercats, global_rank FROM '.CATEGORIES_TABLE.' WHERE id IN ("'.implode('","', $piwecard->my_config['selected_cats']).'");';
$result = pwg_query($query);
$categories = array();
if (!empty($result)) {
	while ($row = pwg_db_fetch_assoc($result))
		array_push($categories, $row);
}
usort($categories, 'global_rank_compare');

$tpl2 = array();
if (!empty($result)) {
	foreach ($categories as $cat) {
      	$tpl2[$cat['id']] = get_cat_display_name_cache($cat['uppercats'], null, false);
	}
}
$template->assign('category_option_true', $tpl2);
$template->assign('category_option_true_selected', array());

$template->assign('ecard', array(
								'all_cats_checked' => (($piwecard->my_config['authorized_cats'] == 'all') ? 'checked="checked"' : ''),
								'selected_cats_checked' => (($piwecard->my_config['authorized_cats'] == 'selected') ? 'checked="checked"' : ''),
								'user_cats_checked' => (($piwecard->my_config['authorized_cats'] == 'user') ? 'checked="checked"' : ''),
							)
);

$template->assign(array(
						'F_ACTION' => '',
						'L_CAT_OPTIONS_TRUE' => l10n('piwecard_selected_cats'),
						'L_CAT_OPTIONS_FALSE' => l10n('piwecard_non_selected_cats'),
					)
);

$template->assign_var_from_handle('DOUBLE_SELECT', 'double_select');
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
?>